terraform {
  backend "s3" {
  }
}
provider "aws" {
  region = var.region
}
module "rds" {
  source  = "terraform-aws-modules/rds/aws"
  version = "5.6.0"
  # insert the 1 required variable here
  identifier = local.rds_conf.identifier
  # optional inputs 
  instance_use_identifier_prefix         = local.rds_conf.instance_use_identifier_prefix
  custom_iam_instance_profile            = local.rds_conf.custom_iam_instance_profile
  allocated_storage                      = local.rds_conf.allocated_storage
  storage_type                           = local.rds_conf.storage_type
  storage_throughput                     = local.rds_conf.storage_throughput
  storage_encrypted                      = local.rds_conf.storage_encrypted
  kms_key_id                             = local.rds_conf.kms_key_id
  replicate_source_db                    = local.rds_conf.replicate_source_db
  license_model                          = local.rds_conf.license_model
  replica_mode                           = local.rds_conf.replica_mode
  iam_database_authentication_enabled    = local.rds_conf.iam_database_authentication_enabled
  domain                                 = local.rds_conf.domain
  domain_iam_role_name                   = local.rds_conf.domain_iam_role_name
  engine                                 = local.rds_conf.engine
  engine_version                         = local.rds_conf.engine_version
  skip_final_snapshot                    = local.rds_conf.skip_final_snapshot
  snapshot_identifier                    = local.rds_conf.snapshot_identifier
  copy_tags_to_snapshot                  = local.rds_conf.copy_tags_to_snapshot
  final_snapshot_identifier_prefix       = local.rds_conf.final_snapshot_identifier_prefix
  instance_class                         = local.rds_conf.instance_class
  db_name                                = local.rds_conf.db_name
  username                               = local.rds_conf.username
  password                               = local.rds_conf.password
#   sensitive                              = local.rds_conf.sensitive
  port                                   = local.rds_conf.port
  vpc_security_group_ids                 = local.rds_conf.vpc_security_group_ids
  availability_zone                      = local.rds_conf.availability_zone
  multi_az                               = local.rds_conf.multi_az
  iops                                   = local.rds_conf.iops
  publicly_accessible                    = local.rds_conf.publicly_accessible
  monitoring_interval                    = local.rds_conf.monitoring_interval
  monitoring_role_arn                    = local.rds_conf.monitoring_role_arn
  monitoring_role_name                   = local.rds_conf.monitoring_role_name
  monitoring_role_use_name_prefix        = local.rds_conf.monitoring_role_use_name_prefix
  monitoring_role_description            = local.rds_conf.monitoring_role_description
  create_monitoring_role                 = local.rds_conf.create_monitoring_role
  monitoring_role_permissions_boundary   = local.rds_conf.monitoring_role_permissions_boundary
  allow_major_version_upgrade            = local.rds_conf.allow_major_version_upgrade
  auto_minor_version_upgrade             = local.rds_conf.auto_minor_version_upgrade
  apply_immediately                      = local.rds_conf.apply_immediately
  maintenance_window                     = local.rds_conf.maintenance_window
  blue_green_update                      = local.rds_conf.blue_green_update
  backup_retention_period                = local.rds_conf.backup_retention_period
  backup_window                          = local.rds_conf.backup_window
  restore_to_point_in_time               = local.rds_conf.restore_to_point_in_time
  s3_import                              = local.rds_conf.s3_import
  tags                                   = local.tags
  db_instance_tags                       = local.rds_conf.db_instance_tags
  db_option_group_tags                   = local.rds_conf.db_option_group_tags
  db_parameter_group_tags                = local.rds_conf.db_parameter_group_tags
  db_subnet_group_tags                   = local.rds_conf.db_subnet_group_tags
  create_db_subnet_group                 = local.rds_conf.create_db_subnet_group
  db_subnet_group_name                   = local.rds_conf.db_subnet_group_name
  db_subnet_group_use_name_prefix        = local.rds_conf.db_subnet_group_use_name_prefix
  db_subnet_group_description            = local.rds_conf.db_subnet_group_description
  subnet_ids                             = local.rds_conf.subnet_ids
  create_db_parameter_group              = local.rds_conf.create_db_parameter_group
  parameter_group_name                   = local.rds_conf.parameter_group_name
  parameter_group_use_name_prefix        = local.rds_conf.parameter_group_use_name_prefix
  parameter_group_description            = local.rds_conf.parameter_group_description
  family                                 = local.rds_conf.family
  parameters                             = local.rds_conf.parameters
  create_db_option_group                 = local.rds_conf.create_db_option_group
  option_group_name                      = local.rds_conf.option_group_name
  option_group_use_name_prefix           = local.rds_conf.option_group_use_name_prefix
  option_group_description               = local.rds_conf.option_group_description
  major_engine_version                   = local.rds_conf.major_engine_version
  options                                = local.rds_conf.options
  create_db_instance                     = local.rds_conf.create_db_instance
  timezone                               = local.rds_conf.timezone
  character_set_name                     = local.rds_conf.character_set_name
  enabled_cloudwatch_logs_exports        = local.rds_conf.enabled_cloudwatch_logs_exports
  timeouts                               = local.rds_conf.timeouts
  option_group_timeouts                  = local.rds_conf.option_group_timeouts
  deletion_protection                    = local.rds_conf.deletion_protection
  performance_insights_enabled           = local.rds_conf.performance_insights_enabled
  performance_insights_retention_period  = local.rds_conf.performance_insights_retention_period
  performance_insights_kms_key_id        = local.rds_conf.performance_insights_kms_key_id
  max_allocated_storage                  = local.rds_conf.max_allocated_storage
  ca_cert_identifier                     = local.rds_conf.ca_cert_identifier
  delete_automated_backups               = local.rds_conf.delete_automated_backups
  create_random_password                 = local.rds_conf.create_random_password
  random_password_length                 = local.rds_conf.random_password_length
  network_type                           = local.rds_conf.network_type
  create_cloudwatch_log_group            = local.rds_conf.create_cloudwatch_log_group
  cloudwatch_log_group_retention_in_days = local.rds_conf.cloudwatch_log_group_retention_in_days
  cloudwatch_log_group_kms_key_id        = local.rds_conf.cloudwatch_log_group_kms_key_id
  putin_khuylo                           = local.rds_conf.putin_khuylo
}
